package com.simonstl.fragment;

import org.apache.xerces.parsers.SAXParser;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.SAXParseException;
import org.xml.sax.SAXException;
import java.io.IOException;
import java.util.*;
import com.megginson.sax.XMLWriter;
import com.megginson.sax.DataWriter;
import java.io.FileReader;
import org.xml.sax.XMLReader;
import org.xml.sax.InputSource;
import org.xml.sax.helpers.ParserAdapter;
import org.xml.sax.helpers.XMLReaderFactory;

/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions  created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
* <p>This class just takes two arguments - a rules file and a target file.
* It loads the rules, feeds them to the filter, and sets up an XMLWriter
* so that testers can see the results on the command line.]</p>
*
* <p>This class requires David Megginson's XMLWriter class, available from:
* <a href="http://www.megginson.com/Software/index.html">http://www.megginson.com/Software/index.html</a>.</p>
*
* <p>Version 0.02 switched to the DataWriter implementation of XMLWriter, which makes it easier to
* see results by adding whitespace.</p>
*
* @version 0.03 29 June 2001
* @author Simon St.Laurent
*/

public class FilterTester {

    // Main Method
    public static void main (String[] args) throws Exception {
       //  Create a Xerces SAX Parser
        SAXParser rulesParser= new SAXParser();

        RulesLoader thisRulesLoader = new RulesLoader (args[0], rulesParser);
        FragmentRules rules=thisRulesLoader.rules;
//FragmentRule testRule=rules.getRule("http://simonstl.com/ns/test/","gYearMonth");
//testRule.print();
        FragmentFilter fragFilter=new FragmentFilter(new SAXParser());
        fragFilter.setRules(rules);

      DataWriter w = new DataWriter(fragFilter);
	w.parse(new InputSource(new FileReader(args[1])));

    }
}