package com.simonstl.fragment;
import org.xml.sax.helpers.AttributesImpl;
import org.xml.sax.*;
import org.xml.sax.helpers.AttributesImpl;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.XMLFilter;
import org.xml.sax.helpers.XMLFilterImpl;

/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions  created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
* <p>The Skip class stores information about pieces which should be skipped.</p>
*
* <p>Version 0.01 is based on the Characters class.</p>
*
* @version 0.01 1 July 2001
* @author Simon St.Laurent
*/

public class Skip extends DocComponent {


/**
* Most Skip classes have little information, though <code>before</code> and <code>after</code> elements may add a bit of information.
**/
public Skip () {
    
}


/**
* Creates a new skip from an old DocComponent.  Note that you 
**/
public Skip (Skip oldDocComponent) {
    nsURI=oldDocComponent.getNsURI();
    localName=oldDocComponent.getLocalName();
    prefix=oldDocComponent.getPrefix();
    content=oldDocComponent.getContent();
    before=oldDocComponent.getBefore();
    after=oldDocComponent.getAfter();
}


public boolean matchComponent (String match) {
    return (match.equals("&"+content));
}

/**
* Skips don't really have keys, but they return "skip" as a value.
**/
public String getKey() {
    return "skip";
}





public void eventComponent(FragmentFilter handler) throws SAXException {
      String QName;
//System.out.println("skip status: "+skip);
      String output="";
//if there's content for before the content, present it
      if (before!=null) {
        output=output+before;
      }

//if there's content for after the content, present it

      if (after!=null) {
        output=output+after;
      }

//System.out.println("event content: " + output);
      if(!(output.equals(""))){
        handler.startChars(); 
        handler.characters(output.toCharArray(), 0, output.length());
        handler.endChars(); 
      }
}


public void print() {
System.out.println("content: " +content);
}

public String toString() {
   return ("content: "+content);
}

}